diff --recursive -P -C3 slashem-0.0.7E7F2/dat/castle.des slethe-0.0.7E7F2/dat/castle.des
*** slashem-0.0.7E7F2/dat/castle.des	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/dat/castle.des	2006-05-28 15:31:15.634006456 +0200
***************
*** 13,241 ****
  # Note : If you don't play the right tune, you get indications like in the
  #	 MasterMind game...
  #
! # To motivate the player : there are 4 storerooms (armors, weapons, food and
! # gems) and a wand of wishing in one of the 4 towers...
  
! MAZE:"castle",random
! FLAGS: noteleport, lethe
  GEOMETRY:center,center
  MAP
! }}}}}}}}}.............................................}}}}}}}}}
! }-------}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}-------}
! }|.....|-----------------------------------------------|.....|}
! }|.....+...............................................+.....|}
! }-------------------------------+-----------------------------}
! }}}}}}|........|..........+...........|.......S.S.......|}}}}}}
! .....}|........|..........|...........|.......|.|.......|}.....
! .....}|........------------...........---------S---------}.....
! .....}|...{....+..........+.........\.S.................+......
! .....}|........------------...........---------S---------}.....
! .....}|........|..........|...........|.......|.|.......|}.....
! }}}}}}|........|..........+...........|.......S.S.......|}}}}}}
! }-------------------------------+-----------------------------}
! }|.....+...............................................+.....|}
! }|.....|-----------------------------------------------|.....|}
! }-------}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}-------}
! }}}}}}}}}.............................................}}}}}}}}}
  ENDMAP
! 
  # Random registers initialisation
  RANDOM_OBJECTS:'[',')','*','%'
! RANDOM_PLACES:(04,02),(58,02),(04,14),(58,14)
  RANDOM_MONSTERS:'L','N','E','H','M','O','R','T','X','Z'
  
! TELEPORT_REGION:levregion(01,00,10,20),(1,1,61,15),down
! TELEPORT_REGION:levregion(69,00,79,20),(1,1,61,15),up
! STAIR:levregion(01,00,10,20),(0,0,62,16),up
! FOUNTAIN:(10,08)
  # Doors
! DOOR:closed,(07,03)
! DOOR:closed,(55,03)
! DOOR:locked,(32,04)
! DOOR:locked,(26,05)
! DOOR:locked,(46,05)
! DOOR:locked,(48,05)
! DOOR:locked,(47,07)
! DOOR:closed,(15,08)
! DOOR:closed,(26,08)
! DOOR:locked,(38,08)
! DOOR:locked,(56,08)
! DOOR:locked,(47,09)
! DOOR:locked,(26,11)
! DOOR:locked,(46,11)
! DOOR:locked,(48,11)
! DOOR:locked,(32,12)
! DOOR:closed,(07,13)
! DOOR:closed,(55,13)
  # The drawbridge
! DRAWBRIDGE:(05,08),east,closed
  # Storeroom number 1
! OBJECT:object[0],random,(39,05)
! OBJECT:object[0],random,(40,05)
! OBJECT:object[0],random,(41,05)
! OBJECT:object[0],random,(42,05)
! OBJECT:object[0],random,(43,05)
! OBJECT:object[0],random,(44,05)
! OBJECT:object[0],random,(45,05)
! OBJECT:object[0],random,(39,06)
! OBJECT:object[0],random,(40,06)
! OBJECT:object[0],random,(41,06)
! OBJECT:object[0],random,(42,06)
! OBJECT:object[0],random,(43,06)
! OBJECT:object[0],random,(44,06)
! OBJECT:object[0],random,(45,06)
  # Storeroom number 2
! OBJECT:object[1],random,(49,05)
! OBJECT:object[1],random,(50,05)
! OBJECT:object[1],random,(51,05)
! OBJECT:object[1],random,(52,05)
! OBJECT:object[1],random,(53,05)
! OBJECT:object[1],random,(54,05)
! OBJECT:object[1],random,(55,05)
! OBJECT:object[1],random,(49,06)
! OBJECT:object[1],random,(50,06)
! OBJECT:object[1],random,(51,06)
! OBJECT:object[1],random,(52,06)
! OBJECT:object[1],random,(53,06)
! OBJECT:object[1],random,(54,06)
! OBJECT:object[1],random,(55,06)
  # Storeroom number 3
! OBJECT:object[2],random,(39,10)
! OBJECT:object[2],random,(40,10)
! OBJECT:object[2],random,(41,10)
! OBJECT:object[2],random,(42,10)
! OBJECT:object[2],random,(43,10)
! OBJECT:object[2],random,(44,10)
! OBJECT:object[2],random,(45,10)
! OBJECT:object[2],random,(39,11)
! OBJECT:object[2],random,(40,11)
! OBJECT:object[2],random,(41,11)
! OBJECT:object[2],random,(42,11)
! OBJECT:object[2],random,(43,11)
! OBJECT:object[2],random,(44,11)
! OBJECT:object[2],random,(45,11)
  # Storeroom number 4
! OBJECT:object[3],random,(49,10)
! OBJECT:object[3],random,(50,10)
! OBJECT:object[3],random,(51,10)
! OBJECT:object[3],random,(52,10)
! OBJECT:object[3],random,(53,10)
! OBJECT:object[3],random,(54,10)
! OBJECT:object[3],random,(55,10)
! OBJECT:object[3],random,(49,11)
! OBJECT:object[3],random,(50,11)
! OBJECT:object[3],random,(51,11)
! OBJECT:object[3],random,(52,11)
! OBJECT:object[3],random,(53,11)
! OBJECT:object[3],random,(54,11)
! OBJECT:object[3],random,(55,11)
  # THE WAND OF WISHING in 1 of the 4 towers
  CONTAINER:'(',"chest",place[0]
  OBJECT:'/',"wishing",contained
  # Prevent monsters from eating it.  (@'s never eat objects)
  ENGRAVING:place[0],burn,"Elbereth"
  # The treasure of the lord
! OBJECT:'(',"chest",(37,08)
  # Traps
! TRAP:"trap door",(40,08)
! TRAP:"trap door",(44,08)
! TRAP:"trap door",(48,08)
! TRAP:"trap door",(52,08)
  TRAP:"trap door",(55,08)
  # Soldiers guarding the entry hall
! MONSTER:'@',"soldier",(08,06)
! MONSTER:'@',"soldier",(09,05)
! MONSTER:'@',"soldier",(11,05)
! MONSTER:'@',"soldier",(12,06)
! MONSTER:'@',"soldier",(08,10)
! MONSTER:'@',"soldier",(09,11)
! MONSTER:'@',"soldier",(11,11)
! MONSTER:'@',"soldier",(12,10)
! MONSTER:'@',"lieutenant",(09,08)
  # Soldiers guarding the towers
! MONSTER:'@',"soldier",(03,02)
! MONSTER:'@',"soldier",(05,02)
! MONSTER:'@',"soldier",(57,02)
! MONSTER:'@',"soldier",(59,02)
! MONSTER:'@',"soldier",(03,14)
! MONSTER:'@',"soldier",(05,14)
! MONSTER:'@',"soldier",(57,14)
! MONSTER:'@',"soldier",(59,14)
  # The four dragons that are guarding the storerooms
! MONSTER:'D',random,(47,05)
! MONSTER:'D',random,(47,06)
! MONSTER:'D',random,(47,10)
! MONSTER:'D',random,(47,11)
  # Sea monsters in the moat
! MONSTER:';',"giant eel",(05,07)
! MONSTER:';',"giant eel",(05,09)
! MONSTER:';',"giant eel",(57,07)
! MONSTER:';',"giant eel",(57,09)
! MONSTER:';',"shark",(05,00)
! MONSTER:';',"shark",(05,16)
! MONSTER:';',"shark",(57,00)
! MONSTER:';',"shark",(57,16)
  # The throne room and the court monsters
! MONSTER:monster[0],random,(27,05)
! MONSTER:monster[1],random,(30,05)
! MONSTER:monster[2],random,(33,05)
! MONSTER:monster[3],random,(36,05)
! MONSTER:monster[4],random,(28,06)
! MONSTER:monster[5],random,(31,06)
! MONSTER:monster[6],random,(34,06)
! MONSTER:monster[7],random,(37,06)
! MONSTER:monster[8],random,(27,07)
! MONSTER:monster[9],random,(30,07)
! MONSTER:monster[0],random,(33,07)
! MONSTER:monster[1],random,(36,07)
! MONSTER:monster[2],random,(28,08)
! MONSTER:monster[3],random,(31,08)
! MONSTER:monster[4],random,(34,08)
! MONSTER:monster[5],random,(27,09)
! MONSTER:monster[6],random,(30,09)
! MONSTER:monster[7],random,(33,09)
! MONSTER:monster[8],random,(36,09)
! MONSTER:monster[9],random,(28,10)
! MONSTER:monster[0],random,(31,10)
! MONSTER:monster[1],random,(34,10)
! MONSTER:monster[2],random,(37,10)
! MONSTER:monster[3],random,(27,11)
! MONSTER:monster[4],random,(30,11)
! MONSTER:monster[5],random,(33,11)
! MONSTER:monster[6],random,(36,11)
! # MazeWalks
! MAZEWALK:(00,10),west
! MAZEWALK:(62,06),east
  # Non diggable walls
! NON_DIGGABLE:(00,00,62,16)
  # Subrooms:
  #   Entire castle area
! REGION:(00,00,62,16),unlit,"ordinary"
  #   Courtyards
! REGION:(00,05,05,11),lit,"ordinary"
! REGION:(57,05,62,11),lit,"ordinary"
  #   Throne room
! REGION:(27,05,37,11),lit,"throne",unfilled
  #   Antechamber
! REGION:(07,05,14,11),lit,"ordinary"
  #   Storerooms
! REGION:(39,05,45,06),lit,"ordinary"
! REGION:(39,10,45,11),lit,"ordinary"
! REGION:(49,05,55,06),lit,"ordinary"
! REGION:(49,10,55,11),lit,"ordinary"
  #   Corners
! REGION:(02,02,06,03),lit,"ordinary"
! REGION:(56,02,60,03),lit,"ordinary"
! REGION:(02,13,06,14),lit,"ordinary"
! REGION:(56,13,60,14),lit,"ordinary"
  #   Barracks
! REGION:(16,05,25,06),lit,"barracks"
! REGION:(16,10,25,11),lit,"barracks"
  #   Hallways
! REGION:(08,03,54,03),unlit,"ordinary"
! REGION:(08,13,54,13),unlit,"ordinary"
! REGION:(16,08,25,08),unlit,"ordinary"
! REGION:(39,08,55,08),unlit,"ordinary"
  #   Storeroom alcoves
! REGION:(47,05,47,06),unlit,"ordinary"
! REGION:(47,10,47,11),unlit,"ordinary"
--- 13,370 ----
  # Note : If you don't play the right tune, you get indications like in the
  #	 MasterMind game...
  #
! #
! # Mik: Added Lethe effect to the water and side towers so you cannot simply
! #      go around the castle.
! #
  
! MAZE:"castle",' '
! FLAGS: noteleport,lethe
  GEOMETRY:center,center
  MAP
!       .}}}}}}}}}}}}}}}}}}}}}}....|.....|.....|....}}}}}}}}}}}}}}}}}}}}.     
!  ... .}}-------}}}}}}}}}}}}}}....S.}}}.|.}}}.S....}}}}}}}}}}}}-------}.  .. 
!  ... .}}|.....|-----------------------+-+---------------------|.....|}. ... 
!  ..  .}}|.....+..................|.....|......................+.....|}. ..  
!   # ..}}-------------------+----------+-+----------------------------}.  .  
!  ## ...}}}}}}|........|..........+...........|.......S.S.......|}}}}}}..... 
!  #   .......}|........|..........|...........|.......|.|.......|}...... ....
! ... ........}|........------------...........---------S---------}......  ...
! ............}|...{....+..........+.........\.S.................+........ .. 
!  ....  .....}|........------------...........---------S---------}.......... 
!   ... ......}|........|..........|...........|.......|.|.......|}......  ...
!  .....}}}}}}}|........|..........+...........|.......S.S.......|}}}}}}}}  ..
! .....}}}-------------------+----------+-+----------------------------}}}}}}}
! }}}}}}}}|.....+..................|.....|......................+.....|}}}}}}}
! }}}}}}}}|.....|-----------------------+-+---------------------|.....|}}}}}}}
! }}}}}}}}-------}}}}}}}}}}}}}}....S.}}}.|.}}}.S....}}}}}}}}}}}}-------}}}}}..
! ....}}}}}}}}}}}}}}}}}}}}}}}}}....|.....|.....|....}}}}}}}}}}}}}}}}}}}}}}....
  ENDMAP
!  
  # Random registers initialisation
  RANDOM_OBJECTS:'[',')','*','%'
! RANDOM_PLACES:(11,02),(65,02),(11,14),(65,14)
  RANDOM_MONSTERS:'L','N','E','H','M','O','R','T','X','Z'
  
! STAIR:(01,01),up
! STAIR:(74,01),down
! BRANCH:(23,05,62,11),(00,00,00,00)
! 
  # Doors
! DOOR:locked,(33,01)
! DOOR:locked,(38,02)
! DOOR:locked,(40,02)
! DOOR:locked,(45,01)
! DOOR:locked,(33,15)
! DOOR:locked,(38,14)
! DOOR:locked,(40,14)
! DOOR:locked,(45,15)
! DOOR:closed,(14,03)
! DOOR:closed,(62,03)
! DOOR:locked,(27,04)
! DOOR:locked,(38,04)
! DOOR:closed,(40,04)
! DOOR:closed,(33,05)
! DOOR:locked,(53,05)
! DOOR:locked,(55,05)
! DOOR:locked,(54,07)
! DOOR:closed,(22,08)
! DOOR:closed,(33,08)
! DOOR:locked,(45,08)
! DOOR:locked,(63,08)
! DOOR:locked,(54,09)
! DOOR:closed,(33,11)
! DOOR:locked,(53,11)
! DOOR:locked,(55,11)
! DOOR:closed,(40,12)
! DOOR:locked,(27,12)
! DOOR:locked,(38,12)
! DOOR:closed,(14,13)
! DOOR:closed,(62,13)
  # The drawbridge
! DRAWBRIDGE:(12,08),east,closed
  # Storeroom number 1
! OBJECT:object[0],random,(46,05)
! OBJECT:object[0],random,(47,05)
! OBJECT:object[0],random,(48,05)
! OBJECT:object[0],random,(49,05)
! OBJECT:object[0],random,(50,05)
! OBJECT:object[0],random,(51,05)
! OBJECT:object[0],random,(52,05)
! OBJECT:object[0],random,(46,06)
! OBJECT:object[0],random,(47,06)
! OBJECT:object[0],random,(48,06)
! OBJECT:object[0],random,(49,06)
! OBJECT:object[0],random,(50,06)
! OBJECT:object[0],random,(51,06)
! OBJECT:object[0],random,(52,06)
  # Storeroom number 2
! OBJECT:object[1],random,(56,05)
! OBJECT:object[1],random,(57,05)
! OBJECT:object[1],random,(58,05)
! OBJECT:object[1],random,(59,05)
! OBJECT:object[1],random,(60,05)
! OBJECT:object[1],random,(61,05)
! OBJECT:object[1],random,(62,05)
! OBJECT:object[1],random,(56,06)
! OBJECT:object[1],random,(57,06)
! OBJECT:object[1],random,(58,06)
! OBJECT:object[1],random,(59,06)
! OBJECT:object[1],random,(60,06)
! OBJECT:object[1],random,(61,06)
! OBJECT:object[1],random,(62,06)
  # Storeroom number 3
! OBJECT:object[2],random,(46,10)
! OBJECT:object[2],random,(47,10)
! OBJECT:object[2],random,(48,10)
! OBJECT:object[2],random,(49,10)
! OBJECT:object[2],random,(50,10)
! OBJECT:object[2],random,(51,10)
! OBJECT:object[2],random,(52,10)
! OBJECT:object[2],random,(46,11)
! OBJECT:object[2],random,(47,11)
! OBJECT:object[2],random,(48,11)
! OBJECT:object[2],random,(49,11)
! OBJECT:object[2],random,(50,11)
! OBJECT:object[2],random,(51,11)
! OBJECT:object[2],random,(52,11)
  # Storeroom number 4
! OBJECT:object[3],random,(56,10)
! OBJECT:object[3],random,(57,10)
! OBJECT:object[3],random,(58,10)
! OBJECT:object[3],random,(59,10)
! OBJECT:object[3],random,(60,10)
! OBJECT:object[3],random,(61,10)
! OBJECT:object[3],random,(62,10)
! OBJECT:object[3],random,(56,11)
! OBJECT:object[3],random,(57,11)
! OBJECT:object[3],random,(58,11)
! OBJECT:object[3],random,(59,11)
! OBJECT:object[3],random,(60,11)
! OBJECT:object[3],random,(61,11)
! OBJECT:object[3],random,(62,11)
  # THE WAND OF WISHING in 1 of the 4 towers
  CONTAINER:'(',"chest",place[0]
  OBJECT:'/',"wishing",contained
  # Prevent monsters from eating it.  (@'s never eat objects)
  ENGRAVING:place[0],burn,"Elbereth"
  # The treasure of the lord
! OBJECT:'(',"chest",(44,08)
  # Traps
! TRAP:"trap door",(47,08)
! TRAP:"trap door",(51,08)
  TRAP:"trap door",(55,08)
+ TRAP:"trap door",(59,08)
+ TRAP:"trap door",(62,08)
+ # Soldiers guarding outer towers...
+ MONSTER:'@',"soldier",(31,00)
+ MONSTER:'@',"soldier",(31,01)
+ OBJECT:'/',"lightning",(31,01)
+ OBJECT:'(',"bugle",(31,00)
+ MONSTER:'@',"soldier",(31,16)
+ MONSTER:'@',"soldier",(31,15)
+ OBJECT:'/',"lightning",(31,15)
+ OBJECT:'(',"bugle",(31,16)
+ MONSTER:'@',"soldier",(47,00)
+ MONSTER:'@',"soldier",(47,01)
+ OBJECT:'/',"lightning",(47,01)
+ MONSTER:'@',"soldier",(47,16)
+ MONSTER:'@',"soldier",(47,15)
+ OBJECT:'/',"lightning",(47,15)
  # Soldiers guarding the entry hall
! MONSTER:'@',"soldier",(15,06)
! MONSTER:'@',"soldier",(16,05)
! MONSTER:'@',"soldier",(18,05)
! MONSTER:'@',"soldier",(19,06)
! MONSTER:'@',"soldier",(15,10)
! MONSTER:'@',"soldier",(16,11)
! MONSTER:'@',"soldier",(18,11)
! MONSTER:'@',"soldier",(19,10)
! MONSTER:'@',"lieutenant",(16,08)
  # Soldiers guarding the towers
! MONSTER:'@',"soldier",(10,02)
! MONSTER:'@',"soldier",(12,02)
! MONSTER:'@',"soldier",(64,02)
! MONSTER:'@',"soldier",(66,02)
! MONSTER:'@',"soldier",(10,14)
! MONSTER:'@',"soldier",(12,14)
! MONSTER:'@',"soldier",(64,14)
! MONSTER:'@',"soldier",(66,14)
  # The four dragons that are guarding the storerooms
! MONSTER:'D',random,(54,05)
! MONSTER:'D',random,(54,06)
! MONSTER:'D',random,(54,10)
! MONSTER:'D',random,(54,11)
  # Sea monsters in the moat
! MONSTER:';',"giant eel",(12,07)
! MONSTER:';',"giant eel",(12,09)
! MONSTER:';',"giant eel",(64,07)
! MONSTER:';',"giant eel",(64,09)
! MONSTER:';',"shark",(12,00)
! MONSTER:';',"shark",(12,16)
! MONSTER:';',"shark",(64,00)
! MONSTER:';',"shark",(64,16)
  # The throne room and the court monsters
! MONSTER:monster[0],random,(34,05)
! MONSTER:monster[1],random,(37,05)
! MONSTER:monster[2],random,(40,05)
! MONSTER:monster[3],random,(43,05)
! MONSTER:monster[4],random,(35,06)
! MONSTER:monster[5],random,(38,06)
! MONSTER:monster[6],random,(41,06)
! MONSTER:monster[7],random,(44,06)
! MONSTER:monster[8],random,(34,07)
! MONSTER:monster[9],random,(37,07)
! MONSTER:monster[0],random,(40,07)
! MONSTER:monster[1],random,(43,07)
! MONSTER:monster[2],random,(35,08)
! MONSTER:monster[3],random,(38,08)
! MONSTER:monster[4],random,(41,08)
! MONSTER:monster[5],random,(34,09)
! MONSTER:monster[6],random,(37,09)
! MONSTER:monster[7],random,(40,09)
! MONSTER:monster[8],random,(43,09)
! MONSTER:monster[9],random,(35,10)
! MONSTER:monster[0],random,(38,10)
! MONSTER:monster[1],random,(41,10)
! MONSTER:monster[2],random,(44,10)
! MONSTER:monster[3],random,(34,11)
! MONSTER:monster[4],random,(37,11)
! MONSTER:monster[5],random,(40,11)
! MONSTER:monster[6],random,(43,11)
  # Non diggable walls
! NON_DIGGABLE:(08,00,68,16)
  # Subrooms:
  #   Entire castle area
! REGION:(00,00,74,16),unlit,"ordinary"
  #   Courtyards
! REGION:(07,05,12,11),lit,"ordinary"
! REGION:(64,05,69,11),lit,"ordinary"
  #   Throne room
! REGION:(34,05,44,11),lit,"throne",unfilled
  #   Antechamber
! REGION:(12,05,21,11),lit,"ordinary"
  #   Storerooms
! REGION:(46,05,52,06),lit,"ordinary"
! REGION:(46,10,52,11),lit,"ordinary"
! REGION:(56,05,62,06),lit,"ordinary"
! REGION:(56,10,62,11),lit,"ordinary"
  #   Corners
! REGION:(09,02,13,03),lit,"ordinary"
! REGION:(63,02,67,03),lit,"ordinary"
! REGION:(09,13,13,14),lit,"ordinary"
! REGION:(63,13,67,14),lit,"ordinary"
  #   Barracks
! REGION:(23,05,32,06),lit,"barracks"
! REGION:(23,10,32,11),lit,"barracks"
  #   Hallways
! REGION:(15,03,61,03),unlit,"ordinary"
! REGION:(15,13,61,13),unlit,"ordinary"
! REGION:(23,08,32,08),unlit,"ordinary"
! REGION:(46,08,62,08),unlit,"ordinary"
  #   Storeroom alcoves
! REGION:(54,05,54,06),unlit,"ordinary"
! REGION:(54,10,54,11),unlit,"ordinary"
! 
! MAZE:"ucastle",random
! FLAGS: noteleport,hardfloor
! GEOMETRY:center,center
! MAP
!                                          # # # # # # # # # # #
!    -----                                -+-+-+-+-+-+-+-+-+-+-+-
!    |...+###          ########           |.....................|
!    -----  #          #------+------     |.....................|
!       ----+----      #|...........|     |.....................|
!       |.......|      #|...........+#####+.....................|
!       |.......+#######|...........|     |.....................|
!       |.......|       -------------     |.....................|
!       ----+----                         |.....................|
!           #         ----------          -+-+-+-+-+-+-+-+-+-+-+-
!           #         |........|           # # # # # # # # # # #
!           ##########+........|
!                     |........|
!                     ----------
! ENDMAP
! 
! #  Regions
! REGION:(04,02,06,02),lit,"ordinary"
! REGION:(07,05,13,07),lit,"barracks"
! REGION:(21,10,28,12),unlit,"ordinary"
! REGION:(23,04,33,06),unlit,"ordinary"
! REGION:(41,02,61,08),unlit,"swamp"
! # Stairs
! BRANCH:(04,02,04,02),(00,00,00,00)
! TELEPORT_REGION:(41,02,61,08),(00,00,00,00)
! #  Doors
! DOOR:closed,(07,02)
! DOOR:closed,(10,04)
! DOOR:locked,(10,08)
! DOOR:locked,(20,11)
! DOOR:locked,(14,06)
! DOOR:locked,(28,03)
! DOOR:locked,(34,05)
! DOOR:locked,(40,05)
! # Top row
! DOOR:random,(41,01)
! DOOR:random,(43,01)
! DOOR:random,(45,01)
! DOOR:random,(47,01)
! DOOR:random,(49,01)
! DOOR:random,(51,01)
! DOOR:random,(53,01)
! DOOR:random,(55,01)
! DOOR:random,(57,01)
! DOOR:random,(59,01)
! DOOR:random,(61,01)
! # Bottom row
! DOOR:random,(41,09)
! DOOR:random,(43,09)
! DOOR:random,(45,09)
! DOOR:random,(47,09)
! DOOR:random,(49,09)
! DOOR:random,(51,09)
! DOOR:random,(53,09)
! DOOR:random,(55,09)
! DOOR:random,(57,09)
! DOOR:random,(59,09)
! DOOR:random,(61,09)
! # Traps
! TRAP:"board",(33,05)
! TRAP:"board",(13,06)
! TRAP:"fire",(30,04)
! TRAP:"magic",(30,06)
! # Guardians
! MONSTER:''',random,(26,04)
! MONSTER:''',random,(25,05)
! MONSTER:''',random,(26,06)
! MONSTER[50%]:''',random,(24,04)
! MONSTER[50%]:''',random,(24,06)
! # Jellies and Puddings
! MONSTER[50%]:'j',random,(44,04)
! MONSTER[50%]:'j',random,(56,06)
! MONSTER[80%]:'F',random,(44,06)
! MONSTER[80%]:'F',random,(57,04)
! MONSTER[80%]:'F',random,(49,06)
! MONSTER[50%]:'P',random,(51,07)
! MONSTER[50%]:'P',random,(43,03)
! MONSTER:'P',"green slime",(59,10)
! MONSTER:'P',"green slime",(51,10)
! MONSTER[50%]:'P',"green slime",(43,10)
! # Wine Celler
! OBJECT:'!',"amnesia",(21,10)
! OBJECT:'!',random,(22,10)
! OBJECT:'!',"booze",(23,10)
! OBJECT:'!',random,(24,10)
! OBJECT:'!',"booze",(25,10)
! OBJECT:'!',random,(26,10)
! OBJECT:'!',random,(27,10)
! OBJECT:'!',"booze",(28,10)
! OBJECT:'!',random,(21,12)
! OBJECT:'!',"booze",(22,12)
! OBJECT:'!',random,(23,12)
! OBJECT:'!',"booze",(24,12)
! OBJECT:'!',random,(25,12)
! OBJECT:'!',"booze",(26,12)
! OBJECT:'!',random,(27,12)
! OBJECT:'!',random,(28,12)
! 
diff --recursive -P -C3 slashem-0.0.7E7F2/dat/data.base slethe-0.0.7E7F2/dat/data.base
*** slashem-0.0.7E7F2/dat/data.base	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/dat/data.base	2006-05-28 15:31:15.651003872 +0200
***************
*** 1176,1181 ****
--- 1176,1186 ----
  	them difficult to deal with, even on the rare occasions when
  	they are friendly.
  	[ The Tough Guide to Fantasyland, by Diana Wynne Jones ]
+ demonology
+ 	The study of demons, including the knowledge of the foul and
+ 	unspeakable acts necessary to summon one.  If you do summon
+ 	one, you'd best hope your contract with it is good, for it will
+ 	attack you if it is not.
  *deva
  	Devas are the descendants of plane-touched aasimon.  They have
  	feathery wings that may be vestigial or functional.
***************
*** 1409,1414 ****
--- 1414,1422 ----
  	water, and earth.  Some mystics have postulated the necessity
  	for a fifth type, the spirit elemental, but none have ever
  	been encountered, at least on this plane of existence.
+ elementalism
+ 	The study of the elements and elemental beings, including the
+ 	risky art of summoning and binding such dangerous entities.
  ~elf ??m*
  ~elf* cl*
  *elf*
diff --recursive -P -C3 slashem-0.0.7E7F2/dat/dungeon.def slethe-0.0.7E7F2/dat/dungeon.def
*** slashem-0.0.7E7F2/dat/dungeon.def	2005-12-04 15:58:27.000000000 +0100
--- slethe-0.0.7E7F2/dat/dungeon.def	2006-05-28 15:31:15.655003264 +0200
***************
*** 95,107 ****
  # Medusa and the castle.  There should be nothing in between.
  RNDLEVEL:		"medusa" "none" @ (-5, 4) 4
  LEVALIGN:		chaotic
! LEVEL:			"castle" "none" @ (-1, 0)
! CHAINBRANCH:	"Gehennom" "castle" + (0, 0) no_down
! 
  
  # Branch to the endgame...
  BRANCH:			"The Elemental Planes" @ (1, 0) no_down up -2
  
  
  ### Gehennom ###
  #
--- 95,125 ----
  # Medusa and the castle.  There should be nothing in between.
  RNDLEVEL:		"medusa" "none" @ (-5, 4) 4
  LEVALIGN:		chaotic
! #LEVEL:			"castle" "none" @ (-1, 0)
! #CHAINBRANCH:	"Gehennom" "castle" + (0, 0) no_down
! BRANCH:			"The Lethe Gorge" @ (-1,0) down -8
  
  # Branch to the endgame...
  BRANCH:			"The Elemental Planes" @ (1, 0) no_down up -2
  
+ #
+ #       The Lethe Gorge.
+ #
+ DUNGEON:        "The Lethe Gorge" "L" (9, 0)
+ ALIGNMENT:      unaligned
+ DESCRIPTION:    mazelike
+ RNDLEVEL:       "leth-a"  "A" @ (1,0) 2
+ LEVEL:          "lethe-b" "B" @ (2,0)
+ LEVEL:          "castle" "none" @ (3, 0)
+ CHAINBRANCH:    "Castle Dungeon" "castle" + (0, 0)
+ RNDLEVEL:       "leth-c"  "C" @ (4,0) 2
+ RNDLEVEL:       "leth-d"  "D" @ (5,0) 2
+ LEVEL:          "lethe-e" "E" @ (6,0)
+ LEVEL:          "lethe-f" "F" @ (7,0)
+ LEVEL:          "lethe-g" "G" @ (8,0)
+ LEVEL:          "lethe-z" "Z" @ (9,0)
+ CHAINBRANCH:    "Gehennom" "lethe-z" + (0, 0)
+ 
  
  ### Gehennom ###
  #
***************
*** 123,154 ****
  # also tried to organize it a little -- demons before the wizard, devils
  # after.
  
! DUNGEON:        "Gehennom" "G" (17, 0)
  DESCRIPTION:    mazelike
  DESCRIPTION:    hellish
  ALIGNMENT:      noalign
  LEVEL:          "valley" "V" @ (1, 0)
  LEVEL:          "sanctum" "none" @ (-1, 0)
! # Tower before wiz, please
! BRANCH:         "Vlad's Tower" @ (3, 10) up -1
  # Dr. Frankenstein's Lab
  BRANCH:         "Frankenstein's Lab" @ (3, 10) up
- # The demon levels
- LEVEL:          "juiblex" "J" @ (2, 5)
- LEVEL:          "yeenoghu" "E" @ (2, 5)
- LEVEL:          "orcus" "O" @ (2, 5)
- LEVEL:          "demogorg" "D" @ (2, 5)
- # Half-way down
- LEVEL:          "wizard1" "none" @ (7, 0)
- CHAINLEVEL:     "wizard2" "X" "wizard1" + (1, 0)
- CHAINLEVEL:     "wizard3" "Y" "wizard1" + (2, 0)
- # The devil levels
- LEVEL:          "baalz" "B" @ (10, 6)
- LEVEL:          "geryon" "R" @ (10, 6)
- LEVEL:          "dispater" "S" @ (10, 6)
- LEVEL:          "asmodeus" "A" @ (10, 6)
- LEVEL:          "fakewiz1" "F" @ (10, 6)
- LEVEL:          "fakewiz2" "G" @ (10, 6)
  
  
  ### Gnomish Mines ###
--- 141,169 ----
  # also tried to organize it a little -- demons before the wizard, devils
  # after.
  
! DUNGEON:        "Gehennom" "G" (21, 3)
  DESCRIPTION:    mazelike
  DESCRIPTION:    hellish
  ALIGNMENT:      noalign
  LEVEL:          "valley" "V" @ (1, 0)
  LEVEL:          "sanctum" "none" @ (-1, 0)
! LEVEL:          "asmodeus" "A" @ (2, 4)
! LEVEL:          "pvalley" "P" @ (4, 8)
! CHAINBRANCH:    "Vlad's Tower" "pvalley" + (0, 0) up -1
! LEVEL:          "juiblex" "J" @ (4, 4)
! LEVEL:          "baalz" "B" @ (6, 4)
! LEVEL:          "geryon" "G" @ (8, 4)
! LEVEL:          "orcus" "O" @ (10, 4)
! LEVEL:          "dispater" "D" @ (11, 4)
! LEVEL:          "demogorg" "E" @ (12, 4)
! LEVEL:          "yeenoghu" "Y" @ (13, 4)
! RNDLEVEL:       "nkai-a" "K" @ (-5, 0) 2
! LEVEL:          "nkai-b" "L" @ (-4, 0)
! CHAINBRANCH:    "Wizards Tower" "nkai-b" + (0, 0) portal -1
! LEVEL:          "nkai-c" "M" @ (-3, 0)
! LEVEL:          "nkai-z" "Z" @ (-2, 0)
  # Dr. Frankenstein's Lab
  BRANCH:         "Frankenstein's Lab" @ (3, 10) up
  
  
  ### Gnomish Mines ###
***************
*** 162,167 ****
--- 177,188 ----
  RNDLEVEL:	"minend" "E" @ (-2, 0) 3
  LEVEL:		"mineking" "M" @ (-1, 0)
  
+ #
+ #       Under the castle
+ #
+ DUNGEON:        "Castle Dungeon" "U" (1, 0)
+ ALIGNMENT:      unaligned
+ LEVEL:          "ucastle" "E" @ (1, 0)
  
  ### The Quest Dungeon ###
  #   This is a proto-dungeon.  The level file names will be prepended with
***************
*** 273,278 ****
--- 294,312 ----
  DESCRIPTION:    mazelike
  LEVEL:          "frnknstn" "none" @ (1, 0)
  
+ #
+ #       The Wizards Tower
+ #
+ #       It has been removed from Gehennom, and it is surrounded by stone.
+ #       Must not allow bones files for its top level.
+ #
+ DUNGEON:        "Wizards Tower" "W" (3, 0)
+ DESCRIPTION:    mazelike
+ ALIGNMENT:      chaotic
+ LEVEL:          "wizard1" "none" @ (1, 0)
+ LEVEL:          "wizard2" "X"    @ (2, 0)
+ LEVEL:          "wizard3" "Y"    @ (3, 0)
+ 
  
  ### The Endgame levels ###
  #
